Summary:	Sendmail milter for spamassassin
Name:		spamass-milter
Version:	0.3.1
Release:	7%{?dist}
License:	GPLv2+
Group:		System Environment/Daemons
URL:		http://savannah.nongnu.org/projects/spamass-milt/
Source0:	http://savannah.nongnu.org/download/spamass-milt/spamass-milter-%{version}.tar.gz
Source1:	spamass-milter-wrapper
Source2:	spamass-milter.sysv
Source3:	spamass-milter.sysconfig
Patch0:		spamass-milter-0.3.1-pathnames.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	spamassassin, sendmail-devel
Requires:	spamassassin, sendmail

Requires(pre): shadow-utils
Requires(post): /sbin/chkconfig
Requires(post): /sbin/service
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service
Requires(postun): /sbin/service

%description
A Sendmail milter (Mail Filter) application that pipes incoming mail
(including things received by rmail/UUCP) through SpamAssassin, a highly
customizable spam filter.

%prep
%setup -q
%patch0 -p1 -b .pathnames
%{__cp} -p %{SOURCE1} %{SOURCE2} %{SOURCE3} .
%{__sed} -i -e 's|%%{_localstatedir}|%{_localstatedir}|g;
		s|%%{_initrddir}|%{_initrddir}|g;
		s|%%{_sysconfdir}|%{_sysconfdir}|g;
		s|%%{_sbindir}|%{_sbindir}|g;' \
	spamass-milter.{sysv,sysconfig} README

%build
export SENDMAIL=/usr/sbin/sendmail
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install

%{__install} -m 755 -D spamass-milter.sysv %{buildroot}%{_initrddir}/spamass-milter
%{__install} -m 644 -D spamass-milter.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/spamass-milter
%{__install} -m 700 -d %{buildroot}%{_localstatedir}/run/spamass-milter
%{__install} -m 755 spamass-milter-wrapper %{buildroot}%{_sbindir}/spamass-milter-wrapper

%pre
/usr/bin/getent group sa-milt >/dev/null || /usr/sbin/groupadd -r sa-milt
/usr/bin/getent passwd sa-milt >/dev/null || \
	/usr/sbin/useradd -r -g sa-milt -d %{_localstatedir}/run/spamass-milter \
		-s /sbin/nologin -c "SpamAssassin Milter" sa-milt
exit 0

%post
/sbin/chkconfig --add spamass-milter || :

%preun
if [ $1 -eq 0 ]; then
	/sbin/service spamass-milter stop &>/dev/null || :
	/sbin/chkconfig --del spamass-milter || :
fi

%postun
/sbin/service spamass-milter condrestart &>/dev/null || :

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog NEWS README
%{_mandir}/man1/spamass-milter.1*
%config(noreplace) %{_sysconfdir}/sysconfig/spamass-milter
%{_initrddir}/spamass-milter
%{_sbindir}/spamass-milter
%{_sbindir}/spamass-milter-wrapper
%dir %attr(-,sa-milt,sa-milt) %{_localstatedir}/run/spamass-milter/

%changelog
* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.3.1-7
- Autorebuild for GCC 4.3

* Mon Feb 18 2008 Paul Howarth <paul@city-fan.org> 0.3.1-6
- Rebuild with gcc 4.3.0 for Fedora 9

* Fri Oct 12 2007 Paul Howarth <paul@city-fan.org> 0.3.1-5
- Split initscript and config out from being here documents in the spec and
  have them as separate source files instead
- Unexpand tabs
- Clarify license as GPL v2 or later (GPLv2+)
- Use the standard scriptlet for user/group creation in %%pre

* Wed Aug 30 2006 Paul Howarth <paul@city-fan.org> 0.3.1-4
- Use make/DESTDIR instead of deprecated %%makeinstall macro
- Expand tabs and clean up changelog entries

* Mon May 15 2006 Paul Howarth <paul@city-fan.org> 0.3.1-3
- Use upstream default settings (#191602)
  This change re-enables by default Subject/Content-Type header modification
  (which may have a performance impact for large messages) and disables by
  default the rejection of emails with a spam score of 15 or more. To re-enable
  these options, uncomment the line:
  EXTRA_FLAGS="-m -r 15"
  in %%{_sysconfdir}/sysconfig/spamass-milter
  
* Sun May  7 2006 Paul Howarth <paul@city-fan.org> 0.3.1-2
- Fix race condition in "stop" clause of initscript (#190894)

* Thu Apr  6 2006 Paul Howarth <paul@city-fan.org> 0.3.1-1
- Update to 0.3.1

* Wed Feb 16 2006 Paul Howarth <paul@city-fan.org> 0.3.0-9
- Don't use macros in command paths, hardcode them instead

* Mon Aug  1 2005 Paul Howarth <paul@city-fan.org> 0.3.0-8
- Run the milter in a wrapper script that restarts it if it crashes

* Thu Jun 16 2005 Paul Howarth <paul@city-fan.org> 0.3.0-7
- Bump and rebuild due to transient build system failure

* Wed Jun 15 2005 Paul Howarth <paul@city-fan.org> 0.3.0-6
- Adjust initscript chkconfig values so it starts before sendmail

* Mon Jun 13 2005 Paul Howarth <paul@city-fan.org> 0.3.0-5
- Help the configure script find sendmail

* Mon Jun 13 2005 Paul Howarth <paul@city-fan.org> 0.3.0-4
- Bump and rebuild

* Mon Jun 06 2005 Paul Howarth <paul@city-fan.org> 0.3.0-3
- Use Extras standard buildroot
- Unpack tarball quietly
- Create account sa-milt and run the milter using that instead of root
- Fix socket name in README
- Initscript not %%config

* Sun Jun 05 2005 Warren Togami <wtogami@redhat.com> 0.3.0-2
- Extras

* Tue Feb 08 2005 Dag Wieers <dag@wieers.com> 0.3.0-1
- Updated to release 0.3.0.

* Wed Sep 01 2004 Dag Wieers <dag@wieers.com> 0.2.0-1
- Fixed variables in sysconfig file. (mator)

* Tue Feb 17 2004 Dag Wieers <dag@wieers.com> 0.2.0-0
- Initial package. (using DAR)
